Webserver Connection failed with older Android versions

android
webserver_issue
help

#1

Actual behaviour

  • webserver connection failed with older Android versions

Expected behaviour

  • I would like to be able to connect to my onwcloud with older versions, because there are no newer ones for my device

Steps to reproduce

I am a beginner and my English is terrible.
My owncloud (10.1) is running and I can access it with https: /myowncloud.dyndns.de/owncloud on Win7, Win10, Linux, IOS and Android 7.0.
With Android 4.1.2 I get the message: Connection error A secure connection could not be made ok
Website not available.
I'm afraid it's an Android problem. Do you still have a tip for me?

Can this problem be reproduced with the official owncloud server?
(url: https://demo.owncloud.org, user: test, password: test)
with this url there is no problem

Environment data

Android version: 4.1.2

Device model: Samsung Galaxy S3 mini

Stock or customized system:

ownCloud app version:

ownCloud server version: 10.1

Logs

Web server error log

Insert your webserver log here

ownCloud log (data/owncloud.log)

Insert your ownCloud log here

#2

I'm not a security expert, but I assume its the config of your webserver. Older Androids may require some old and vulnerable protocols and ciphers that are no longer supported by your webserver.

Your options here:

  • Switch to a newer android
  • Allow http access

Sorry, it this is not the answer you expect. :slight_smile: